Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.logger
Interface ConfigLogger

    public interface ConfigLogger

The `ConfigLogger` takes charge of managing and associating logger's properties.

Since:
  V8

Field Summary
`static java.lang.String[]` | `ERROR_LEVELS`
`static java.lang.String` | `LEVEL_ALL`
`static java.lang.String` | `LEVEL_DEBUG`
`static java.lang.String` | `LEVEL_ERROR`
`static java.lang.String` | `LEVEL_FATAL`
`static java.lang.String` | `LEVEL_INFO`
`static java.lang.String` | `LEVEL_OFF` define all the levels supported by the JREntServer Logger.
`static java.lang.String` | `LEVEL_OUTLINE`
`static java.lang.String` | `LEVEL_TRIVIAL`
`static java.lang.String` | `LEVEL_WARN`
`static java.lang.String[]` | `LEVELS`
`static java.lang.String` | `LOG_ACCESS`
`static java.lang.String` | `LOG_DEBUG`
`static java.lang.String` | `LOG_DHTML`
`static java.lang.String` | `LOG_DUMP`
`static java.lang.String` | `LOG_ENGINE` define all the loggers displayed name
`static java.lang.String` | `LOG_ERROR`
`static java.lang.String` | `LOG_EVENT`
`static java.lang.String` | `LOG_MANAGE`
`static java.lang.String` | `LOG_PERFORMANCE`
`static java.lang.String` | `LOG_ROOT`
`static java.lang.String[]` | `TRACE_LEVELS`

Method Summary
`ConfigAppender[]` | `getAppenders()` get all output destinations (log4j's appenders) provided by JREntServer loggers.
`java.lang.String` | `getDescription()` get the logger description.
`java.lang.String` | `getErrorLevel()` get logger's error level.
`java.lang.String` | `getLevel()` Deprecated. Please use customized error/trace level methods.
`java.lang.String` | `getName()` get the logger's displayed name.
`java.lang.String` | `getTraceLevel()` get logger's trace level.
`boolean` | `isAdditivity()` judge whether the additivity of the logger is true.
`void` | `setAdditivity(boolean value)` set the logger's property if it has been changed.
`void` | `setErrorLevel(java.lang.String value)` set logger's error level value.
`void` | `setLevel(java.lang.String value)` set logger level value.
`void` | `setTraceLevel(java.lang.String value)` set logger's trace level value.

Field Detail

### LOG_ENGINE

    static final java.lang.String LOG_ENGINE

  define all the loggers displayed name

  See Also:
    Constant Field Values

### LOG_DHTML

    static final java.lang.String LOG_DHTML

See Also:
  Constant Field Values

### LOG_ACCESS

    static final java.lang.String LOG_ACCESS

See Also:
  Constant Field Values

### LOG_MANAGE

    static final java.lang.String LOG_MANAGE

See Also:
  Constant Field Values

### LOG_ERROR

    static final java.lang.String LOG_ERROR

See Also:
  Constant Field Values

### LOG_EVENT

    static final java.lang.String LOG_EVENT

See Also:
  Constant Field Values

### LOG_DEBUG

    static final java.lang.String LOG_DEBUG

See Also:
  Constant Field Values

### LOG_PERFORMANCE

    static final java.lang.String LOG_PERFORMANCE

See Also:
  Constant Field Values

### LOG_ROOT

    static final java.lang.String LOG_ROOT

See Also:
  Constant Field Values

### LOG_DUMP

    static final java.lang.String LOG_DUMP

See Also:
  Constant Field Values

### LEVEL_OFF

    static final java.lang.String LEVEL_OFF

  define all the levels supported by the JREntServer Logger.

  See Also:
    Constant Field Values

### LEVEL_FATAL

    static final java.lang.String LEVEL_FATAL

See Also:
  Constant Field Values

### LEVEL_ERROR

    static final java.lang.String LEVEL_ERROR

See Also:
  Constant Field Values

### LEVEL_WARN

    static final java.lang.String LEVEL_WARN

See Also:
  Constant Field Values

### LEVEL_INFO

    static final java.lang.String LEVEL_INFO

See Also:
  Constant Field Values

### LEVEL_DEBUG

    static final java.lang.String LEVEL_DEBUG

See Also:
  Constant Field Values

### LEVEL_ALL

    static final java.lang.String LEVEL_ALL

See Also:
  Constant Field Values

### LEVEL_OUTLINE

    static final java.lang.String LEVEL_OUTLINE

See Also:
  Constant Field Values

### LEVEL_TRIVIAL

    static final java.lang.String LEVEL_TRIVIAL

See Also:
  Constant Field Values

### LEVELS

    static final java.lang.String[] LEVELS

### TRACE_LEVELS

    static final java.lang.String[] TRACE_LEVELS

### ERROR_LEVELS

    static final java.lang.String[] ERROR_LEVELS

Method Detail

### getName

    java.lang.String getName()

  get the logger's displayed name.

  Returns:
    the logger's displayed name.

### getDescription

    java.lang.String getDescription()

  get the logger description.

  Returns:
    the logger description.

### getLevel

    java.lang.String getLevel()

  Deprecated. Please use customized error/trace level methods.

  get logger current level. note: the JREntServer logger can only support the following possible levels:

              "OFF"
              "FATAL"
              "ERROR"
              "WARN"
              "INFO"
              "DEBUG"
              "ALL"

  Returns:
    the logger level.

### getErrorLevel

    java.lang.String getErrorLevel()

  get logger's error level. note: the JREntServer logger's error level can only support the following possible values:

              "FATAL"
              "ERROR"
              "WARN"

  Returns:
    the logger's error level.

### getTraceLevel

    java.lang.String getTraceLevel()

  get logger's trace level. note: the JREntServer logger's trace level can only support the following possible values:

              "OUTLINE"
              "INFO"
              "TRIVIAL"
              "ALL"

  Returns:
    the logger's trace level.

### setErrorLevel

    void setErrorLevel(java.lang.String value)

  set logger's error level value.

  Parameters:
    `value,` - the specified level value.

### setTraceLevel

    void setTraceLevel(java.lang.String value)

  set logger's trace level value.

  Parameters:
    `value,` - the specified level value.

### setLevel

    void setLevel(java.lang.String value)

  set logger level value.

  Parameters:
    `value,` - the specified level value.

### isAdditivity

    boolean isAdditivity()

  judge whether the additivity of the logger is true.

  Returns:
    true if the logger's Additivity is valid, else false.

### setAdditivity

    void setAdditivity(boolean value)

  set the logger's property if it has been changed.

  Parameters:
    `value,` - new Additivity boolean value.

### getAppenders

    ConfigAppender[] getAppenders()

  get all output destinations (log4j's appenders) provided by JREntServer loggers.

  Returns:
    all output destinations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD